Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

why is that you keep wanting be upgrade firefox when i do half of my addons dont work but yet they work just fine in 27.0 i have asked for help 3 times

  • 1 reply
  • 4 have this problem
  • 13 views
  • Last reply by FredMcD

more options

this is the last time i will try and solve this problem i have firefox 27.0 my add ons work fine and yet firefox likes bug me to upgrade and when i guess what the same addons i count on dont work and your upgrades are worse so why do people want to upgrade when u take away the same addons that work just fine with 27.0 then any of your upgrades and you make harder and harder to set up firefox they u want with your so called better upgraded firefox i do just fine with 27.0 but you push and push for me to upgrade but upgradeing is worse and i have never gotten a response from firefox wonder why

All Replies (1)

more options

Most of the add-ons should work up to version 54. With version 56 they start having issues. And version 57 will not run many of the add-ons that we have come to know and love.

Over the last few years, Mozilla developers have been removing things from this excellent browser.

The removed the add-on bar from the bottom of the browser window despite the fact that some add-ons need it to work.

The removed plugin support. While many are not affected, a large number of users have complained.

And now they have removed many add-ons from being able to run at all.

Hi,

The people who answer questions here, for the most part, are other Firefox users volunteering their time (like me), not Mozilla employees or Firefox developers.

If you want to leave feedback for Firefox developers, you can go to the Firefox Help menu and select Submit Feedback... or use this link. Your feedback gets collected by a team of people who read it and gather data about the most common issues.


https://support.mozilla.org/en-US/kb/install-older-version-of-firefox?cache=no Be sure to read everything here.

If you still want to downgrade, look under; I still want to downgrade. Click the Directory of other versions and languages link. Look for the directory of the version that you want. But, remember that old versions may have security issues.

You should also check out Firefox; Extended Support Release {web link} ESR Notes System Requirements